FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Display_Device Class Reference

The computer's display. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Display_Device:

## Static Public Member Functions
static Fl_Display_Device * | display_device ()
| Returns a pointer to the unique display device.
Static Public Member Functions inherited from Fl_Surface_Device
static Fl_Surface_Device * | pop_current ()
| Removes the top element from the current drawing surface stack, and makes the new top element current.
static void | push_current (Fl_Surface_Device *new_current)
| Pushes `new_current` on top of the stack of current drawing surfaces, and makes it current.
static Fl_Surface_Device * | surface ()
| The current drawing surface.

## Additional Inherited Members
Public Member Functions inherited from Fl_Surface_Device
Fl_Graphics_Driver * | driver ()
| Returns the graphics driver of this drawing surface.
virtual bool | is_current ()
| Is this surface the current drawing surface?
virtual void | set_current (void)
| Make this surface the current drawing surface.
virtual | ~Fl_Surface_Device ()
| The destructor.
Protected Member Functions inherited from Fl_Surface_Device
void | driver (Fl_Graphics_Driver *graphics_driver)
| Sets the graphics driver of this drawing surface.
virtual void | end_current ()
| FLTK calls this each time a surface ceases to be the current drawing surface.
| Fl_Surface_Device (Fl_Graphics_Driver *graphics_driver)
| Constructor that sets the graphics driver to use for the created surface.

## Detailed Description

The computer's display.

When FLTK begins to access the computer's display, it creates an object of class Fl_Display_Device and makes it the current drawing surface.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx